Create multiple websites with AI (batch, max 25)
curl --request POST \
--url https://api.lindo.ai/v1/ai/workspace/website/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"prompt": "<string>",
"schedule_at": "<string>",
"client": {
"client_id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
}
}
]
}
'import requests
url = "https://api.lindo.ai/v1/ai/workspace/website/batch"
payload = { "items": [
{
"prompt": "<string>",
"schedule_at": "<string>",
"client": {
"client_id": "<string>",
"email": "jsmith@example.com",
"name": "<string>"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [
{
prompt: '<string>',
schedule_at: '<string>',
client: {client_id: '<string>', email: 'jsmith@example.com', name: '<string>'}
}
]
})
};
fetch('https://api.lindo.ai/v1/ai/workspace/website/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"total": 123,
"succeeded": 123,
"failed": 123,
"items": [
{
"success": true,
"workflow_id": "<string>",
"error": "<string>"
}
]
}{
"success": false,
"error": "Invalid prompt: must be at least 10 characters"
}{
"success": false,
"error": "<string>"
}{
"success": false,
"error": "Invalid prompt: must be at least 10 characters"
}Workflows
Create multiple websites with AI (batch, max 25)
Start up to 25 website-creation workflows in one request. Each returns its own workflow_id that can be polled via /v1/ai/workspace/website/status/{workflow_id}. Credits are deducted upfront and refunded per-failure.
POST
/
v1
/
ai
/
workspace
/
website
/
batch
Create multiple websites with AI (batch, max 25)
Authorizations
Enter your API key (starts with lindo_sk_)
Body
application/json
Array of websites to create. Between 1 and 25 items.
Required array length:
1 - 25 elementsShow child attributes
Show child attributes
Response
Batch processed. Check per-item success.
The batch request was processed. Individual items may still have failed — check per-item success.
Available options:
true Total items in the batch
Number of items successfully accepted
Number of items that failed to start
Per-item result, in the same order as the request
Show child attributes
Show child attributes
Was this page helpful?
Check status of a website-creation workflowCreate multiple blog posts on a website with AI (batch, max 25)
⌘I

